## org.biojava.bio.structure.io.mmcif.model
Class PdbxEntityNonPoly

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.PdbxEntityNonPoly

    public class PdbxEntityNonPoly

extends Object

A bean for the Pdbx_entity_nonpoly category.

Since:
  1.7
Author:
  Andreas Prlic

Constructor Summary
`PdbxEntityNonPoly()`

Method Summary
`String` `getComp_id()`
`String` `getEntity_id()`
`String` `getName()`
`void` `setComp_id(String comp_id)`
`void` `setEntity_id(String entity_id)`
`void` `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdbxEntityNonPoly

    public PdbxEntityNonPoly()

Method Detail

### getEntity_id

    public String getEntity_id()

### setEntity_id

    public void setEntity_id(String entity_id)

### getName

    public String getName()

### setName

    public void setName(String name)

### getComp_id

    public String getComp_id()

### setComp_id

    public void setComp_id(String comp_id)